Cocoon API: Class XSPSessionLibrary

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.xsp.library
Class XSPSessionLibrary

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.library.XSPSessionLibrary

public class XSPSessionLibrary
extends java.lang.Object

Constructor Summary
`XSPSessionLibrary()`

Method Summary
`static org.w3c.dom.Element` | `getAttribute(javax.servlet.http.HttpSession session, java.lang.String name, org.w3c.dom.Document document)`
`static java.lang.String[]` | `getAttributeNames(javax.servlet.http.HttpSession session)`
`static org.w3c.dom.Element` | `getAttributeNames(javax.servlet.http.HttpSession session, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getCreationTime(javax.servlet.http.HttpSession session, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getId(javax.servlet.http.HttpSession session, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getLastAccessedTime(javax.servlet.http.HttpSession session, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getMaxInactiveInterval(javax.servlet.http.HttpSession session, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getValue(javax.servlet.http.HttpSession session, java.lang.String name, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getValueNames(javax.servlet.http.HttpSession session, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `isNew(javax.servlet.http.HttpSession session, org.w3c.dom.Document document)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSPSessionLibrary

    public XSPSessionLibrary()

Method Detail

### getValue

    public static org.w3c.dom.Element getValue(javax.servlet.http.HttpSession session,
                                               java.lang.String name,
                                               org.w3c.dom.Document document)

### getValueNames

    public static org.w3c.dom.Element getValueNames(javax.servlet.http.HttpSession session,
                                                    org.w3c.dom.Document document)

### getAttribute

    public static org.w3c.dom.Element getAttribute(javax.servlet.http.HttpSession session,
                                                   java.lang.String name,
                                                   org.w3c.dom.Document document)

### getAttributeNames

    public static java.lang.String[] getAttributeNames(javax.servlet.http.HttpSession session)

### getAttributeNames

    public static org.w3c.dom.Element getAttributeNames(javax.servlet.http.HttpSession session,
                                                        org.w3c.dom.Document document)

### getCreationTime

    public static org.w3c.dom.Element getCreationTime(javax.servlet.http.HttpSession session,
                                                      org.w3c.dom.Document document)

### getId

    public static org.w3c.dom.Element getId(javax.servlet.http.HttpSession session,
                                            org.w3c.dom.Document document)

### getLastAccessedTime

    public static org.w3c.dom.Element getLastAccessedTime(javax.servlet.http.HttpSession session,
                                                          org.w3c.dom.Document document)

### getMaxInactiveInterval

    public static org.w3c.dom.Element getMaxInactiveInterval(javax.servlet.http.HttpSession session,
                                                             org.w3c.dom.Document document)

### isNew

    public static org.w3c.dom.Element isNew(javax.servlet.http.HttpSession session,
                                            org.w3c.dom.Document document)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.